API Reference - GET /codelist/postalcodes
Page content
The Postal Codes endpoint returns a list of postal code values.
Resource
GET /api/codelist/postalcodes
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "11358",
"RefLocID": 109953,
"City": "Auburndale",
"USCounty": "Queens County",
"CountrySubdivision": "NY",
"Country": "US",
"LastModified": "2015-11-16T13:54:25.87",
"IsDisabled": "No"
}],
"id": "PostalCode"
}],
"DateGenerated": "2015-04-05T18:55:44.3995692-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | postal code |
| RefLocID | Integer | |
| City | String | City the postal area is located |
| USCounty | String | If US postal code then county the postal code is located |
| CountrySubdivision | String | State or provenance the postal code is located |
| Country | String | Country the postal code is located |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the postal code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government